Bug 15329 - Click stats tracking bug...
Summary: Click stats tracking bug...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: current
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eddie Chen
QA Contact: Paul Lindner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-04 00:26 UTC by Paul Lindner
Modified: 2007-04-18 16:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 01:13:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Lindner 2000-08-04 00:26:27 UTC
This is a tracking bug.....

Blake needs to have a web based program that allows him to pull data from
the web_track_urls table. 

Requirements are not set in stone at this point.  Let's work together to
get this 
finalized.

Comment 1 Blake Robin 2000-08-10 00:30:30 UTC
Comments:



My main comment is that we need to be able to track how many clicks came from 

each link to a partner page from our site. So, for example, there are 6 links to 

VMware's site on their product page; there should thus> be, in the report tool, 6 

URL entries, and the clearer they can be the better. That is, if it's possible to 

connect the link's text copy with the URL, so much the better. 



> The tool currently returns about 15 different URLs and it;s hard to map

> them to the links. In addition, there are some links that are just

> irrelevant like the one for a "clearpixel.gif" file. These should be disregarded.

> 

> Ok, so here are my detailed comments:

> 

> Search:

> * change default year for end of search from 50 to 01

> * can the pulldown list of hosts be shorter? also, need to eliminate

> duplicates eg www2.rackspace.com and rackspace

> * maybe separate them into three categories - paid (the 20 sponsors we

> have) unpaid and miscellaneous?

> * also - can we make it searchable?

> * "execute" = "create report"

> * create monthly result option, eliminate "year" option for now

> * reverse the order of the reports so that it's monthly, weekly, daily,

> and make monthly report the default report option

> 

> Reports:

> * make new row in results report with "Monthly (or weekly or daily, as

> appropriate) totals" row at bottom of page

> * by default results should group by day, not group by URL; first field

> in results should be date, then URL, then clicks

> * make it clear there are no reports prior to start date (July 8?)

> * VMware results - URL too long

> * "date" for year results is always 1/1/00?

> * change "hits" to 'Clicks"

> * search by date should be earliest first, latest at bottom most recent

> * add instruction "click on URL to see summary of all links to that URL"




Note You need to log in before you can comment on or make changes to this bug.